POST Check Email
This endpoint will checks if an email address for a customer for a specific brand already exists.
Headers
- Type: stringAcceptrequired
Accept header
- Type: stringAuthorization
Authorization header
- Type: stringContent
- Type requiredContent-Type header
- Type: stringA
P I - V E R S I O N requiredAPI version
- Type: stringApplicationrequired
Application key
- Type: stringX
- Request - I D requiredUnique request identifier
- enumX
- Q B - Enabled requiredHeader which if sent with value 'true' will allow usage of the query building feature in response (through the request's query params). It is mandatory for this part of the documentation.
values- true
- false
Body
application/json
- Type: stringFormat: emailemail
Responses
- application/json
- 400
Bad Request
- 401
Unauthorized
- 403
Forbidden
- 404
Not Found
Request Example for post/customers/check-email
curl https://api-public-demo.menu.app/api/customers/check-email \
--request POST \
--header 'Accept: application/json' \
--header 'Authorization: ' \
--header 'Content-Type: application/json' \
--header 'API-VERSION: ' \
--header 'Application: ' \
--header 'X-Request-ID: c10b4a70-6274-490d-80a0-03e7bb826937 ' \
--header 'X-QB-Enabled: true' \
--data '{
"email": "ivan.djordjevic@partech.com"
}'
{
"status": "OK",
"code": 200,
"data": {
"exists": true,
"is_social": false,
"provider": "facebook"
}
}